Advisory Details

July 14th, 2022

Adobe InDesign Font Parsing Heap-based Buffer Overflow Remote Code Execution Vulnerability

ZDI-22-1005
ZDI-CAN-17082

CVE ID CVE-2022-34246
CVSS SCORE 7.8, (AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
AFFECTED VENDORS Adobe
AFFECTED PRODUCTS InDesign
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Adobe InDesign. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the parsing of embedded fonts. The issue results from the lack of proper validation of the length of user-supplied data prior to copying it to a fixed-length heap-based buffer. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS Adobe has issued an update to correct this vulnerability. More details can be found at:
https://helpx.adobe.com/security/products/indesign/apsb22-30.html
DISCLOSURE TIMELINE
  • 2022-04-06 - Vulnerability reported to vendor
  • 2022-07-14 - Coordinated public release of advisory
CREDIT Mat Powell of Trend Micro Zero Day Initiative
BACK TO ADVISORIES